Update a customer (company or individual)

This endpoint updates a customer. Only the fields provided in the
request body are updated. The customer type can be changed by providing the
customer_type field.

Some fields are exclusive to one customer type. Sending a field that does
not belong to the current customer type returns a 422.

  • Company-exclusive: name, vat_number, reg_no
  • Individual-exclusive: first_name, last_name

When changing customer_type, some fields of the previous type are cleared automatically.
See each field's description for details.

ℹ️

This endpoint requires the following scope: customers:all

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Customer identifier

Body Params
string
enum

The type of the customer. Changing this value clears the fields of the previous type automatically.

Allowed:
string

Company customers only. Sending this field for an individual customer returns a 422.

string
length ≤ 1000

Individual customers only. Sending this field for a company customer returns a 422. Existing value cleared automatically when switching to company.

string
length ≤ 1000

Individual customers only. Sending this field for a company customer returns a 422. Existing value cleared automatically when switching to company.

string

Company customers only. Sending this field for an individual customer returns a 422. Existing value cleared automatically when switching to individual.

string

Company customers only. Sending this field for an individual customer returns a 422. Existing value cleared automatically when switching to individual.

string
billing_address
object
delivery_address
object
string
enum

Note that the custom option is only used on Pennylane's web app to avoid pre-filling the deadline when creating an invoice. On the API it has no effect and you will still have to provide a deadline when creating an invoice.

string | null
string

The name of the person to whom the invoice is addressed

string | null
string | null
emails
array of strings
emails
string
string
enum

The language in which the customer will receive invoices. Default is fr_FR

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json